# API Docs

Whapi.Cloud is a RestFul service that provides an API that allows you to interact with whatsapp through a simple and intuitive API as well as webhooks to alert you of interactions with your number.

#### Limits

We DON'T HAVE LIMITS on the amount of messages or requests sent! However, you should note that atypical activity of your number is a visible marker for WhatsApp's anti-spam system. We advise you to read this important article: [How to not get Banned?](/help-desk/blocking/how-to-not-get-banned.md)

#### Technically, how does the flow of delivery work?

To give you an example, here's what the steps for sending plain text would look like:

1. You send a message directly through the Whapi.Cloud API. We do not store this message and do not have any queue, so messages are sent immediately;
2. In response, a message ID and `Pending` status are returned to you;
3. The installed [webhook](/help-desk/receiving/introduction.md) receives a request when your message has been sent, and then depending on the status of the message, you will receive `Delivered` and `Read` statuses.

In this knowledge base, we show you in detail, step-by-step how to make it happen.

Make sure that all steps in the [Getting Started](/help-desk/getting-started/welcome-to-whapi.cloud.md) section are completed before executing requests.

We highly encourage you to start testing the gateway through this dev hub:

{% embed url="<https://whapi.readme.io/reference/sendmessagetext>" %}
Extremely handy service for gateway testing
{% endembed %}

Also, to test and debug requests, you can use the Swagger section of the API on [your channel page in dashboard](https://panel.whapi.cloud/dashboard) or the [Postman collection](/help-desk/getting-started/api-docs/postman-collection.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.whapi.cloud/help-desk/getting-started/api-docs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
